List Addresses for a Participant
get
/public/v1/participants/{participant}/addressesparticipantstringrequiredThe participant UUID
filter[type]stringFilter by address type. Comma-separate to combine values. One of: primary, postal, other.
Example:primarypage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ParticipantAddressResource
dataobject[]required▶Show 15 child attributesHide child attributes
idstringrequiredExample:a1d2d3r4-e5s6-47s8-9a0b-1c2d3e4f5a6btypestring | nullrequiredA replaced primary address is kept as
other, so filter on this rather than assuming one row per type.Example:primarylabelstring | nullrequiredExample:Previous Primary Addressaddress_1stringrequiredExample:12 Harbour View Driveaddress_2string | nullrequiredExample:Unit 4address_3string | nullrequiredExample:Building Bsuburbstring | nullrequiredExample:Lavender BaystatestringrequiredExample:NSWpostcodestringrequiredExample:2060countrystringrequiredExample:Australialatstring | nullrequiredExample:-33.8447lngstring | nullrequiredExample:151.2094traditional_place_namestring | nullrequiredExample:Gadigal Countrydetailsstring | nullrequiredExample:Enter via the side gateformattedstringrequiredExample:Gadigal Country, 12 Harbour View Drive, Unit 4, Building B, Lavender Bay, NSW, 2060
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found